#!/bin/sh

TEMPFILE_FOLDER=/home/user/MyDocs/.tmp/

GCONF_TEMP_FILE=$TEMPFILE_FOLDER'gconfbackup'

GCONF_RETCODE=0

if [ -s $GCONF_TEMP_FILE ]; then
	echo "GConf restore file found, proceeding..."
else
	echo "COULD NOT FIND THE FILE FOR GCONF RESTORE, Failure"
	GCONF_RETCODE=2
	exit $GCONF_RETCODE
fi

echo "BACKUP-ESSENTIALS-SCRIPT: Cleaning up gconf"
gconftool-2 --recursive-unset /
echo "BACKUP-ESSENTIALS-SCRIPT: Importing GConf from file"
gconftool-2 --load $GCONF_TEMP_FILE
GCONF_RETCODE=$?
echo "BACKUP-ESSENTIALS-SCRIPT: GCONF RETURN VALUE = " $GCONF_RETCODE

exit $GCONF_RETCODE


