#!/bin/sh

TEMPFILE_FOLDER=/home/user/MyDocs/.tmp/

TRACKER_TEMP_FILE='file://'$TEMPFILE_FOLDER'trackerbackup'

TRACKER_RETCODE=0

mkdir -p $TEMPFILE_FOLDER

echo "BACKUP-ESSENTIALS-SCRIPT: Exporting Tracker to file"
dbus-send --reply-timeout=2147483647 --print-reply --type=method_call --dest=org.freedesktop.Tracker1 /org/freedesktop/Tracker1/Backup org.freedesktop.Tracker1.Backup.Save string:$TRACKER_TEMP_FILE 
TRACKER_RETCODE=$?
echo "BACKUP-ESSENTIALS-SCRIPT: TRACKER RETURN VALUE = " $TRACKER_RETCODE


exit $TRACKER_RETCODE
